/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 * Copyright 2012 David Hoeppner.  All rights reserved.
 */

/*
 * Functions related to XXX.
 */

#include <sys/types.h>
#include <inet/common.h>

#include "dccp_impl.h"

/*
 * When a CPU is added, we need to allocate the per CPU stats struct.
 */
void
dccp_stack_cpu_add(dccp_stack_t *dccps, processorid_t cpu_seqid)
{
	int	i;

	if (cpu_seqid < dccps->dccps_sc_cnt) {
		return;
	}

	for (i = dccps->dccps_sc_cnt; i <= cpu_seqid; i++) {
		ASSERT(dccps->dccps_sc[i] == NULL);
		dccps->dccps_sc[i] = kmem_zalloc(sizeof (dccp_stats_cpu_t),
		    KM_SLEEP);
	}

	membar_producer();
	dccps->dccps_sc_cnt = cpu_seqid + 1;
}
